API referenceAdmin applications
Delete an application and its associated operational data
agw_identity_auth.session_token<token>
The console's session cookie. Admin requests from the console also send x-console-request: 1.
In: cookie
Path Parameters
app*string
Query Parameters
confirm*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/admin/apps/string?confirm=string"{ "deleted": true, "app_id": "string", "removed_users": 0, "usage_events_retained": true}Get an application
Get an application (GET /v1/admin/apps/{app}) in the App AI Gateway API. Accepts a management key, MCP OAuth token or console session.
Update an application
Update an application (PUT /v1/admin/apps/{app}) in the App AI Gateway API. Accepts a management key, MCP OAuth token or console session.